Qwt User's Guide: QwtPointArrayData< T > Class Template Reference

Qwt User's Guide 6.2.0

Public Member Functions | List of all members
QwtPointArrayData< T > Class Template Reference

Interface for iterating over two QVector<T> objects. More...

`#include <qwt_point_data.h>`

Inheritance diagram for QwtPointArrayData< T >:

## Public Member Functions
| QwtPointArrayData (const QVector< T > &x, const QVector< T > &y)
| QwtPointArrayData (const T *x, const T *y, size_t size)
virtual size_t | size () const override
virtual QPointF | sample (size_t index) const override
const QVector< T > & | xData () const
const QVector< T > & | yData () const
Public Member Functions inherited from QwtPointSeriesData
| QwtPointSeriesData (const QVector< QPointF > &=QVector< QPointF >())
virtual QRectF | boundingRect () const override
| Calculate the bounding rectangle. More...
Public Member Functions inherited from QwtArraySeriesData< QPointF >
| QwtArraySeriesData ()
| Constructor.
| QwtArraySeriesData (const QVector< QPointF > &samples)
void | setSamples (const QVector< QPointF > &samples)
const QVector< QPointF > | samples () const
Public Member Functions inherited from QwtSeriesData< QPointF >
| QwtSeriesData ()
| Constructor.
virtual | ~QwtSeriesData ()
| Destructor.
virtual void | setRectOfInterest (const QRectF &rect)

## Additional Inherited Members
Protected Attributes inherited from QwtArraySeriesData< QPointF >
QVector< QPointF > | m_samples
| Vector of samples.
Protected Attributes inherited from QwtSeriesData< QPointF >
QRectF | cachedBoundingRect
| Can be used to cache a calculated bounding rectangle.

## Detailed Description

### template<typename T>
class QwtPointArrayData< T >

Interface for iterating over two QVector<T> objects.

Definition at line 22 of file qwt_point_data.h.

## Constructor & Destructor Documentation

## ◆ QwtPointArrayData() [1/2]

template<typename T >

QwtPointArrayData< T >::QwtPointArrayData | ( | const QVector< T > & | x,
|  | const QVector< T > & | y
| ) |  |

Constructor

Parameters

  x | Array of x values
  y | Array of y values

See also
  QwtPlotCurve::setData(), QwtPlotCurve::setSamples()

Definition at line 200 of file qwt_point_data.h.

## ◆ QwtPointArrayData() [2/2]

template<typename T >

QwtPointArrayData< T >::QwtPointArrayData | ( | const T * | x,
|  | const T * | y,
|  | size_t | size
| ) |  |

Constructor

Parameters

  x | Array of x values
  y | Array of y values
  size | Size of the x and y arrays

See also
  QwtPlotCurve::setData(), QwtPlotCurve::setSamples()

Definition at line 216 of file qwt_point_data.h.

## Member Function Documentation

## ◆ sample()

template<typename T >

QPointF QwtPointArrayData< T >::sample | ( | size_t | index | ) | const
| overridevirtual

Return the sample at position i

Parameters

  index | Index

Returns
  Sample at position i

Reimplemented from QwtArraySeriesData< QPointF >.

Definition at line 239 of file qwt_point_data.h.

## ◆ size()

template<typename T >

size_t QwtPointArrayData< T >::size
| overridevirtual

Returns
  Size of the data set

Reimplemented from QwtArraySeriesData< QPointF >.

Definition at line 227 of file qwt_point_data.h.

## ◆ xData()

template<typename T >

const QVector< T > & QwtPointArrayData< T >::xData

Returns
  Array of the x-values

Definition at line 246 of file qwt_point_data.h.

## ◆ yData()

template<typename T >

const QVector< T > & QwtPointArrayData< T >::yData

Returns
  Array of the y-values

Definition at line 253 of file qwt_point_data.h.